Full name: projects.locations.fetchProcessorTypes
Fetches processor types. Note that we don't use ListProcessorTypes here, because it isn't paginated.
HTTP request
GET https://{endpoint}/v1/{parent}:fetchProcessorTypes
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The location of processor types to list. Format: Authorization requires the following IAM permission on the specified resource
|
Request body
The request body must be empty.
Response body
Response message for the locations.fetchProcessorTypes method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"processorTypes": [
{
object ( |
| Fields | |
|---|---|
processorTypes[] |
The list of processor types. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
documentai.processorTypes.list
For more information, see the IAM documentation.